commit 72852c080f1392edd8f468da34cc012a30781d50
Author: freddy77 <freddy77>
Date:   Tue Jun 9 08:55:23 2009 +0000

    use calloc instead of malloc and memset

diff --git a/ChangeLog b/ChangeLog
index ee076b7..36817f4 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,10 @@
+Tue Jun  9 10:54:29 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/apps/datacopy.c src/ctlib/blk.c src/ctlib/cs.c:
+	* src/ctlib/ct.c src/odbc/connectparams.c src/odbc/descriptor.c:
+	* src/pool/main.c src/pool/member.c src/tds/challenge.c:
+	* src/tds/iconv.c src/tds/token.c:
+	- use calloc instead of malloc and memset
+
 Tue Jun  9 08:49:43 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/ctlib/cs.c src/ctlib/ct.c src/tds/convert.c src/tds/data.c:
 	- revert Andrew Victor patch
@@ -1628,4 +1635,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2809 2009/06/09 06:50:12 freddy77 Exp $
+$Id: ChangeLog,v 1.2810 2009/06/09 08:55:23 freddy77 Exp $
diff --git a/src/apps/datacopy.c b/src/apps/datacopy.c
index cdab16c..d8e8dd7 100644
--- a/src/apps/datacopy.c
+++ b/src/apps/datacopy.c
@@ -798,8 +798,7 @@ transfer_data(BCPPARAMDATA params, DBPROCESS * dbsrc, DBPROCESS * dbdest)
 
 	for (col = 0; col < src_numcols; col++) {
 
-		srcdata[col] = (MIGCOLDATA *) malloc(sizeof(MIGCOLDATA));
-		memset(srcdata[col], '\0', sizeof(MIGCOLDATA));
+		srcdata[col] = (MIGCOLDATA *) calloc(1, sizeof(MIGCOLDATA));
 		srcdata[col]->coltype = dbcoltype(dbsrc, col + 1);
 		srcdata[col]->collen = dbcollen(dbsrc, col + 1);
 
diff --git a/src/ctlib/blk.c b/src/ctlib/blk.c
index 977780f..b061b16 100644
--- a/src/ctlib/blk.c
+++ b/src/ctlib/blk.c
@@ -38,7 +38,7 @@
 #include "ctlib.h"
 #include "replacements.h"
 
-TDS_RCSID(var, "$Id: blk.c,v 1.51 2009/06/08 19:55:11 freddy77 Exp $");
+TDS_RCSID(var, "$Id: blk.c,v 1.52 2009/06/09 08:55:23 freddy77 Exp $");
 
 static void _blk_null_error(TDSBCPINFO *bcpinfo, int index, int offset);
 static int _blk_get_col_data(TDSBCPINFO *bulk, TDSCOLUMN *bcpcol, int offset);
@@ -50,8 +50,7 @@ blk_alloc(CS_CONNECTION * connection, CS_INT version, CS_BLKDESC ** blk_pointer)
 {
 	tdsdump_log(TDS_DBG_FUNC, "blk_alloc(%p, %d, %p)\n", connection, version, blk_pointer);
 
-	*blk_pointer = (CS_BLKDESC *) malloc(sizeof(CS_BLKDESC));
-	memset(*blk_pointer, '\0', sizeof(CS_BLKDESC));
+	*blk_pointer = (CS_BLKDESC *) calloc(1, sizeof(CS_BLKDESC));
 
 	/* so we know who we belong to */
 	(*blk_pointer)->con = connection;
diff --git a/src/ctlib/cs.c b/src/ctlib/cs.c
index 0952353..d136fc3 100644
--- a/src/ctlib/cs.c
+++ b/src/ctlib/cs.c
@@ -50,7 +50,7 @@
 #include "tdsconvert.h"
 #include "replacements.h"
 
-TDS_RCSID(var, "$Id: cs.c,v 1.72 2009/06/09 06:50:12 freddy77 Exp $");
+TDS_RCSID(var, "$Id: cs.c,v 1.73 2009/06/09 08:55:23 freddy77 Exp $");
 
 static int _cs_datatype_length(int dtype);
 static CS_INT cs_diag_storemsg(CS_CONTEXT *context, CS_CLIENTMSG *message);
@@ -369,8 +369,7 @@ cs_ctx_alloc(CS_INT version, CS_CONTEXT ** ctx)
 
 	tdsdump_log(TDS_DBG_FUNC, "cs_ctx_alloc(%d, %p)\n", version, ctx);
 
-	*ctx = (CS_CONTEXT *) malloc(sizeof(CS_CONTEXT));
-	memset(*ctx, '\0', sizeof(CS_CONTEXT));
+	*ctx = (CS_CONTEXT *) calloc(1, sizeof(CS_CONTEXT));
 	tds_ctx = tds_alloc_context(*ctx);
 	if (!tds_ctx) {
 		free(*ctx);
diff --git a/src/ctlib/ct.c b/src/ctlib/ct.c
index 44831c6..b74c663 100644
--- a/src/ctlib/ct.c
+++ b/src/ctlib/ct.c
@@ -39,7 +39,7 @@
 #include "tdsstring.h"
 #include "replacements.h"
 
-TDS_RCSID(var, "$Id: ct.c,v 1.193 2009/06/09 06:50:12 freddy77 Exp $");
+TDS_RCSID(var, "$Id: ct.c,v 1.194 2009/06/09 08:55:23 freddy77 Exp $");
 
 
 static char * ct_describe_cmd_state(CS_INT state);
@@ -659,10 +659,9 @@ ct_cmd_alloc(CS_CONNECTION * con, CS_COMMAND ** cmd)
 
 	tdsdump_log(TDS_DBG_FUNC, "ct_cmd_alloc(%p, %p)\n", con, cmd);
 
-	*cmd = (CS_COMMAND *) malloc(sizeof(CS_COMMAND));
+	*cmd = (CS_COMMAND *) calloc(1, sizeof(CS_COMMAND));
 	if (!*cmd)
 		return CS_FAIL;
-	memset(*cmd, '\0', sizeof(CS_COMMAND));
 
 	/* so we know who we belong to */
 	(*cmd)->con = con;
@@ -670,8 +669,7 @@ ct_cmd_alloc(CS_CONNECTION * con, CS_COMMAND ** cmd)
 	/* initialise command state */
 	ct_set_command_state(*cmd, _CS_COMMAND_IDLE);
 
-	command_list = malloc(sizeof(CS_COMMAND_LIST));
-	memset(command_list, '\0', sizeof(CS_COMMAND_LIST));
+	command_list = calloc(1, sizeof(CS_COMMAND_LIST));
 	command_list->cmd = *cmd;
 	command_list->next = NULL;
 
@@ -759,21 +757,18 @@ ct_command(CS_COMMAND * cmd, CS_INT type, const CS_VOID * buffer, CS_INT buflen,
 		if (cmd == NULL)
 			return CS_FAIL;
 
-		cmd->rpc = (CSREMOTE_PROC *) malloc(sizeof(CSREMOTE_PROC));
+		cmd->rpc = (CSREMOTE_PROC *) calloc(1, sizeof(CSREMOTE_PROC));
 		if (cmd->rpc == NULL)
 			return CS_FAIL;
 
-		memset(cmd->rpc, 0, sizeof(CSREMOTE_PROC));
-
 		if (buflen == CS_NULLTERM) {
 			cmd->rpc->name = strdup(buffer);
 			if (cmd->rpc->name == NULL)
 				return CS_FAIL;
 		} else if (buflen > 0) {
-			cmd->rpc->name = (char *) malloc(buflen + 1);
+			cmd->rpc->name = (char *) calloc(1, buflen + 1);
 			if (cmd->rpc->name == NULL)
 				return CS_FAIL;
-			memset(cmd->rpc->name, 0, buflen + 1);
 			strncpy(cmd->rpc->name, (const char *) buffer, buflen);
 		} else {
 			return CS_FAIL;
@@ -3152,10 +3147,9 @@ ct_param(CS_COMMAND * cmd, CS_DATAFMT * datafmt, CS_VOID * data, CS_INT datalen,
 			return CS_FAIL;
 		}
 
-		param = (CSREMOTE_PROC_PARAM *) malloc(sizeof(CSREMOTE_PROC_PARAM));
+		param = (CSREMOTE_PROC_PARAM *) calloc(1, sizeof(CSREMOTE_PROC_PARAM));
 		if (!param)
 			return CS_FAIL;
-		memset(param, 0, sizeof(CSREMOTE_PROC_PARAM));
 
 		if (CS_SUCCEED != _ct_fill_param(cmd->command_type, param, datafmt, data, &datalen, &indicator, 1)) {
 			tdsdump_log(TDS_DBG_INFO1, "ct_param() failed to add rpc param\n");
@@ -3182,8 +3176,7 @@ ct_param(CS_COMMAND * cmd, CS_DATAFMT * datafmt, CS_VOID * data, CS_INT datalen,
 			return CS_FAIL;
 		}
 
-		param = (CSREMOTE_PROC_PARAM *) malloc(sizeof(CSREMOTE_PROC_PARAM));
-		memset(param, 0, sizeof(CSREMOTE_PROC_PARAM));
+		param = (CSREMOTE_PROC_PARAM *) calloc(1, sizeof(CSREMOTE_PROC_PARAM));
 
 		if (CS_SUCCEED != _ct_fill_param(cmd->command_type, param, datafmt, data, &datalen, &indicator, 1)) {
 			free(param);
@@ -3208,10 +3201,9 @@ ct_param(CS_COMMAND * cmd, CS_DATAFMT * datafmt, CS_VOID * data, CS_INT datalen,
 			return CS_FAIL;
 		}
 
-		param = (CS_DYNAMIC_PARAM *) malloc(sizeof(CS_DYNAMIC_PARAM));
+		param = (CS_DYNAMIC_PARAM *) calloc(1, sizeof(CS_DYNAMIC_PARAM));
 		if (!param)
 			return CS_FAIL;
-		memset(param, 0, sizeof(CS_DYNAMIC_PARAM));
 
 		if (CS_SUCCEED != _ct_fill_param(cmd->command_type, param, datafmt, data, &datalen, &indicator, 1)) {
 			tdsdump_log(TDS_DBG_INFO1, "ct_param() failed to add CS_DYNAMIC param\n");
@@ -3259,8 +3251,7 @@ ct_setparam(CS_COMMAND * cmd, CS_DATAFMT * datafmt, CS_VOID * data, CS_INT * dat
 			return CS_FAIL;
 		}
 
-		param = (CSREMOTE_PROC_PARAM *) malloc(sizeof(CSREMOTE_PROC_PARAM));
-		memset(param, 0, sizeof(CSREMOTE_PROC_PARAM));
+		param = (CSREMOTE_PROC_PARAM *) calloc(1, sizeof(CSREMOTE_PROC_PARAM));
 
 		if (CS_SUCCEED != _ct_fill_param(cmd->command_type, param, datafmt, data, datalen, indicator, 0)) {
 			tdsdump_log(TDS_DBG_INFO1, "ct_setparam() failed to add rpc param\n");
@@ -3292,8 +3283,7 @@ ct_setparam(CS_COMMAND * cmd, CS_DATAFMT * datafmt, CS_VOID * data, CS_INT * dat
 			return CS_FAIL;
 		}
 
-		param = (CS_DYNAMIC_PARAM *) malloc(sizeof(CS_DYNAMIC_PARAM));
-		memset(param, 0, sizeof(CS_DYNAMIC_PARAM));
+		param = (CS_DYNAMIC_PARAM *) calloc(1, sizeof(CS_DYNAMIC_PARAM));
 
 		if (CS_SUCCEED != _ct_fill_param(cmd->command_type, param, datafmt, data, datalen, indicator, 0)) {
 			tdsdump_log(TDS_DBG_INFO1, "ct_setparam() failed to add dynamic param\n");
@@ -3324,8 +3314,7 @@ ct_setparam(CS_COMMAND * cmd, CS_DATAFMT * datafmt, CS_VOID * data, CS_INT * dat
 			return CS_FAIL;
 		}
 
-		param = (CSREMOTE_PROC_PARAM *) malloc(sizeof(CSREMOTE_PROC_PARAM));
-		memset(param, 0, sizeof(CSREMOTE_PROC_PARAM));
+		param = (CSREMOTE_PROC_PARAM *) calloc(1, sizeof(CSREMOTE_PROC_PARAM));
 
 		if (CS_SUCCEED != _ct_fill_param(cmd->command_type, param, datafmt, data, datalen, indicator, 0)) {
 			tdsdump_log(TDS_DBG_INFO1, "ct_setparam() failed to add language param\n");
@@ -4127,10 +4116,9 @@ _ct_fill_param(CS_INT cmd_type, CS_PARAM *param, CS_DATAFMT *datafmt, CS_VOID *d
 			if (param->name == NULL)
 				return CS_FAIL;
 		} else if (datafmt->namelen > 0) {
-			param->name = malloc(datafmt->namelen + 1);
+			param->name = calloc(1, datafmt->namelen + 1);
 			if (param->name == NULL)
 				return CS_FAIL;
-			memset(param->name, 0, datafmt->namelen + 1);
 			strncpy(param->name, datafmt->name, datafmt->namelen);
 		} else {
 			param->name = NULL;
@@ -4586,7 +4574,7 @@ _ct_allocate_dynamic(CS_CONNECTION * con, char *id, int idlen)
 
 	tdsdump_log(TDS_DBG_FUNC, "_ct_allocate_dynamic(%p, %p, %d)\n", con, id, idlen);
 
-	dyn = (CS_DYNAMIC *) malloc(sizeof(CS_DYNAMIC));
+	dyn = (CS_DYNAMIC *) calloc(1, sizeof(CS_DYNAMIC));
 
 	if (idlen == CS_NULLTERM)
 		id_len = strlen(id);
@@ -4594,7 +4582,6 @@ _ct_allocate_dynamic(CS_CONNECTION * con, char *id, int idlen)
 		id_len = idlen;
 
 	if (dyn != NULL) {
-		memset(dyn, '\0', sizeof(CS_DYNAMIC));
 		dyn->id = malloc(id_len + 1);
 		strncpy(dyn->id, id, id_len);
 		dyn->id[id_len] = '\0';
diff --git a/src/odbc/connectparams.c b/src/odbc/connectparams.c
index 5383cf5..82f1194 100644
--- a/src/odbc/connectparams.c
+++ b/src/odbc/connectparams.c
@@ -37,7 +37,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: connectparams.c,v 1.76 2008/08/18 13:31:27 freddy77 Exp $");
+TDS_RCSID(var, "$Id: connectparams.c,v 1.77 2009/06/09 08:55:23 freddy77 Exp $");
 
 static const char odbc_param_Servername[] = "Servername";
 static const char odbc_param_Address[] = "Address";
@@ -548,9 +548,8 @@ static const char *aAuth[] = {
 static HODBCINSTPROPERTY
 addProperty(HODBCINSTPROPERTY hLastProperty)
 {
-	hLastProperty->pNext = (HODBCINSTPROPERTY) malloc(sizeof(ODBCINSTPROPERTY));
+	hLastProperty->pNext = (HODBCINSTPROPERTY) calloc(1, sizeof(ODBCINSTPROPERTY));
 	hLastProperty = hLastProperty->pNext;
-	memset(hLastProperty, 0, sizeof(ODBCINSTPROPERTY));
 	return hLastProperty;
 }
 
diff --git a/src/odbc/descriptor.c b/src/odbc/descriptor.c
index 59094d6..1eae216 100644
--- a/src/odbc/descriptor.c
+++ b/src/odbc/descriptor.c
@@ -47,10 +47,9 @@ desc_alloc(SQLHANDLE parent, int desc_type, int alloc_type)
 {
 	TDS_DESC *desc;
 
-	desc = (TDS_DESC *) malloc(sizeof(TDS_DESC));
+	desc = (TDS_DESC *) calloc(1, sizeof(TDS_DESC));
 	if (!desc)
 		return NULL;
-	memset(desc, 0, sizeof(TDS_DESC));
 
 	/* set defualt header values */
 	desc->htype = SQL_HANDLE_DESC;
diff --git a/src/pool/main.c b/src/pool/main.c
index 74a42af..db0831f 100644
--- a/src/pool/main.c
+++ b/src/pool/main.c
@@ -57,7 +57,7 @@
 
 #include "pool.h"
 
-TDS_RCSID(var, "$Id: main.c,v 1.24 2007/09/17 08:46:03 freddy77 Exp $");
+TDS_RCSID(var, "$Id: main.c,v 1.25 2009/06/09 08:55:23 freddy77 Exp $");
 
 /* to be set by sig term */
 static int term = 0;
@@ -87,8 +87,7 @@ pool_init(char *name)
 
 	/* initialize the pool */
 
-	pool = (TDS_POOL *) malloc(sizeof(TDS_POOL));
-	memset(pool, '\0', sizeof(TDS_POOL));
+	pool = (TDS_POOL *) calloc(1, sizeof(TDS_POOL));
 	/* FIXME -- read this from the conf file */
 	if (!pool_read_conf_file(name, pool)) {
 		fprintf(stderr, "Configuration for pool ``%s'' not found.\n", name);
diff --git a/src/pool/member.c b/src/pool/member.c
index b31fb5f..7acf8bd 100644
--- a/src/pool/member.c
+++ b/src/pool/member.c
@@ -59,7 +59,7 @@
 #define MAXHOSTNAMELEN 256
 #endif /* MAXHOSTNAMELEN */
 
-TDS_RCSID(var, "$Id: member.c,v 1.44 2008/12/17 11:04:34 freddy77 Exp $");
+TDS_RCSID(var, "$Id: member.c,v 1.45 2009/06/09 08:55:23 freddy77 Exp $");
 
 static int pool_packet_read(TDS_POOL_MEMBER * pmbr);
 static TDSSOCKET *pool_mbr_login(TDS_POOL * pool);
@@ -108,8 +108,7 @@ pool_mbr_login(TDS_POOL * pool)
 	 * FIXME -- tds_connect_and_login no longer preallocates the in_buf need to 
 	 * do something like what tds_read_packet does
 	 */
-	tds->in_buf = (unsigned char *) malloc(BLOCKSIZ);
-	memset(tds->in_buf, 0, BLOCKSIZ);
+	tds->in_buf = (unsigned char *) calloc(BLOCKSIZ, 1);
 
 	if (pool->database && strlen(pool->database)) {
 		query = (char *) malloc(strlen(pool->database) + 5);
@@ -181,8 +180,7 @@ pool_mbr_init(TDS_POOL * pool)
 	/* allocate room for pool members */
 
 	pool->members = (TDS_POOL_MEMBER *)
-		malloc(sizeof(TDS_POOL_MEMBER) * pool->num_members);
-	memset(pool->members, '\0', sizeof(TDS_POOL_MEMBER) * pool->num_members);
+		calloc(pool->num_members, sizeof(TDS_POOL_MEMBER));
 
 	/* open connections for each member */
 
diff --git a/src/tds/challenge.c b/src/tds/challenge.c
index ae0b7a0..dd32186 100644
--- a/src/tds/challenge.c
+++ b/src/tds/challenge.c
@@ -45,7 +45,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: challenge.c,v 1.38 2009/01/21 08:34:01 freddy77 Exp $");
+TDS_RCSID(var, "$Id: challenge.c,v 1.39 2009/06/09 08:55:23 freddy77 Exp $");
 
 /**
  * \ingroup libtds
@@ -660,10 +660,9 @@ tds_ntlm_handle_next(TDSSOCKET * tds, struct tds_authentication * auth, size_t l
 		names_blob_len = sizeof(names_blob_prefix_t) + target_info_len + 4;
 
 		/* read Target Info */
-		names_blob = (unsigned char *) malloc(names_blob_len);
+		names_blob = (unsigned char *) calloc(names_blob_len, 1);
 		if (!names_blob)
 			return TDS_FAIL;
-		memset(names_blob, 0, names_blob_len);
 
 		fill_names_blob_prefix((names_blob_prefix_t *) names_blob);
 		tds_get_n(tds, names_blob + sizeof(names_blob_prefix_t), target_info_len);
diff --git a/src/tds/iconv.c b/src/tds/iconv.c
index 18fe7ce..5a1afeb 100644
--- a/src/tds/iconv.c
+++ b/src/tds/iconv.c
@@ -49,7 +49,7 @@
 /* define this for now; remove when done testing */
 #define HAVE_ICONV_ALWAYS 1
 
-TDS_RCSID(var, "$Id: iconv.c,v 1.136 2009/01/16 20:27:58 jklowden Exp $");
+TDS_RCSID(var, "$Id: iconv.c,v 1.137 2009/06/09 08:55:23 freddy77 Exp $");
 
 #define CHARSIZE(charset) ( ((charset)->min_bytes_per_char == (charset)->max_bytes_per_char )? \
 				(charset)->min_bytes_per_char : 0 )
@@ -281,13 +281,12 @@ tds_iconv_alloc(TDSSOCKET * tds)
 
 	assert(!tds->char_convs);
 	if (!(tds->char_convs = (TDSICONV **) malloc(sizeof(TDSICONV *) * (initial_char_conv_count + 1))))
-	return 1;
-	char_conv = (TDSICONV *) malloc(sizeof(TDSICONV) * initial_char_conv_count);
+		return 1;
+	char_conv = (TDSICONV *) calloc(initial_char_conv_count, sizeof(TDSICONV));
 	if (!char_conv) {
 		TDS_ZERO_FREE(tds->char_convs);
 		return 1;
 	}
-	memset(char_conv, 0, sizeof(TDSICONV) * initial_char_conv_count);
 	tds->char_conv_count = initial_char_conv_count + 1;
 
 	for (i = 0; i < initial_char_conv_count; ++i) {
diff --git a/src/tds/token.c b/src/tds/token.c
index 39b5465..6e74dc9 100644
--- a/src/tds/token.c
+++ b/src/tds/token.c
@@ -42,7 +42,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: token.c,v 1.360 2009/05/28 16:23:32 freddy77 Exp $");
+TDS_RCSID(var, "$Id: token.c,v 1.361 2009/06/09 08:55:23 freddy77 Exp $");
 
 #define USE_ICONV tds->use_iconv
 
@@ -1391,10 +1391,8 @@ tds_process_compute_result(TDSSOCKET * tds)
 	tdsdump_log(TDS_DBG_INFO1, "processing tds compute result. by_cols = %d\n", by_cols);
 
 	if (by_cols) {
-		if ((info->bycolumns = (TDS_SMALLINT *) malloc(by_cols * sizeof(TDS_SMALLINT))) == NULL)
+		if ((info->bycolumns = (TDS_SMALLINT *) calloc(by_cols, sizeof(TDS_SMALLINT))) == NULL)
 			return TDS_FAIL;
-
-		memset(info->bycolumns, '\0', by_cols * sizeof(TDS_SMALLINT));
 	}
 	info->by_cols = by_cols;
 

